Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/DLL_Manager.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/SStringfwd.h"`
`#include "ace/os_include/os_dlfcn.h"`

Include dependency graph for DLL_Manager.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_DLL_Handle
| Provides an abstract interface for handling various DLL operations. More...
class | ACE_DLL_Manager
| This class is a singleton and serves as a factory and repository for instances of ACE_DLL_Handle. More...
## Defines
#define | ACE_DEFAULT_DLL_MANAGER_SIZE 1024

## Detailed Description

Id:
  DLL_Manager.h,v 4.11 2003/08/04 04:33:44 dhinton Exp

Author:
  Don Hinton <dhinton@ieee.org>

## Define Documentation

#define ACE_DEFAULT_DLL_MANAGER_SIZE 1024